apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: app
  name: app
spec:
  replicas: 2
  selector:
    matchLabels:
      io.kompose.service: app
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: app
    spec:
      containers:
        - env:
            - name: ROLLBAR_TOKEN
              valueFrom:
                secretKeyRef:
                  key: ROLLBAR_TOKEN
                  name: app-secret
            - name: SERVER_MESSAGE
              valueFrom:
                configMapKeyRef:
                  key: SERVER_MESSAGE
                  name: env
          image: hexletcomponents/devops-example-app
          name: app
          ports:
            - containerPort: 5000
          resources: {}
      restartPolicy: Always
status: {}
